<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bonus.sgzb.base.mapper.BaseIotMachineMapper">


    <select id="selectList" resultType="com.bonus.sgzb.base.domain.vo.IotRecordVo">
        SELECT
            im.iot_type,im.iot_code
        FROM
             iot_machine  im
        left join iot_machine_bind imb on im.id = imb.iot_id
        WHERE
            imb.ma_code = #{maCode}
            AND im.bind_status='0'
          AND imb.unbinder IS NULL
    </select>


</mapper>